> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.tarla.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Districts of Given City

> Get the list of districts of a given city. Remember to use URL encoding for the city name having Turkish characters.



## OpenAPI

````yaml en/open-api/mgm-stations-v1.json get /v1/mgm-stations/get-districts-of/{city}
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://risk-api.tarla.io
    description: Production server
  - url: https://risk-api-test.tarla.io
    description: Test server
security: []
tags:
  - name: MGM Stations Data API
    description: >-
      This web service provides daily precipitation sum, maximum and minimum
      weather temperatures, and minimum ground surface temperature values from
      MGM
paths:
  /v1/mgm-stations/get-districts-of/{city}:
    get:
      tags:
        - MGM Stations Data API
      summary: Get Districts of Given City
      description: >-
        Get the list of districts of a given city. Remember to use URL encoding
        for the city name having Turkish characters.
      operationId: getDistricts
      parameters:
        - name: city
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
components:
  schemas:
    StandardErrorResponse:
      type: object
      description: Standard API error response structure
      properties:
        timestamp:
          type: string
          format: date-time
          description: Timestamp when the error occurred
        status:
          type: integer
          format: int32
          description: HTTP status code
        error:
          type: string
          description: Error name or type
        message:
          type: string
          description: Main error message
        messages:
          type: array
          description: Additional detailed error messages
          items:
            type: string
        path:
          type: string
          description: Request path that caused the error

````